#include<bits/stdc++.h>
using namespace std;
int main() {
    int N;
    double Ai, Pi, Fp, zbir=0, K  ;
    cin>>N;
    Fp=77.32;
    for(int i=1;i<=N;i++){
        cin>>Ai>>Pi;
        if(Fp>Pi){
            continue;}
        zbir+=Ai;
       K=zbir*(Fp/100); 
    }
    cout<<K<<endl;
    return 0;
}